declare enum TokenType {
    VARIABLE = 0,
    VARIABLE_DEPRECATED = 1,
    MEMBER = 2,
    CONTEXT = 3,
    ANNOTATION = 4,
    FUNCTION = 5,
    FUNCTION_CONTEXT = 6,
    FUNCTION_DEPRECATED = 7,
    COMMENT = 8,
    NO_STYLE = 9
}
declare enum TokenModifier {
    DECLARATION = 0
}
type Token = {
    line: number;
    char: number;
    length: number;
    type: TokenType;
    modifier: TokenModifier;
};
export type TokenizationState = {
    tokens: Token[];
};
export default function tokenizeLine(line: string, lineNumber: number, ts: TokenizationState): void;
export {};
//# sourceMappingURL=tokenizeLine.d.ts.map